scala
class AnyRef

[Source: none]

`` `class` AnyRef
  `extends` Any

  Class `AnyRef` is the root class of all reference types.

Method Summary
`final def` | != (arg0 : AnyRef) : Boolean
`final def` | == (arg0 : AnyRef) : Boolean
`protected def` | clone : AnyRef
`final def` | eq (arg0 : AnyRef) : Boolean
`def` | equals (arg0 : Any) : Boolean
`protected def` | finalize : Unit
`final def` | getClass : Class
`def` | hashCode : Int
`final def` | ne (arg0 : AnyRef) : Boolean
`final def` | notify : Unit
`final def` | notifyAll : Unit
`final def` | synchronized [T0](arg0 : T0) : T0 To make your programs thread-safe, you must first identify what data will be shared across threads. If you are writing data that may be read later by another thread, or reading data that may have been written by another thread, then that data is shared, and you must synchronize when accessing it.
`def` | toString : String
`final def` | wait (arg0 : Long) : Unit
`final def` | wait : Unit
`final def` | wait (arg0 : Long, arg1 : Int) : Unit

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`final` `def` getClass : Class

`` `def` hashCode : Int

Overrides
  Any.hashCode

`` `def` equals(arg0 : Any) : Boolean

Overrides
  Any.equals

`protected` `def` clone : AnyRef

`` `def` toString : String

Overrides
  Any.toString

`final` `def` notify : Unit

`final` `def` notifyAll : Unit

`final` `def` wait(arg0 : Long) : Unit

`final` `def` wait(arg0 : Long, arg1 : Int) : Unit

`final` `def` wait : Unit

`protected` `def` finalize : Unit

`final` `def` ==(arg0 : AnyRef) : Boolean

`final` `def` !=(arg0 : AnyRef) : Boolean

`final` `def` eq(arg0 : AnyRef) : Boolean

`final` `def` ne(arg0 : AnyRef) : Boolean

`final` `def` synchronized[T0](arg0 : T0) : T0

  To make your programs thread-safe, you must first identify what data will be shared across threads. If you are writing data that may be read later by another thread, or reading data that may have been written by another thread, then that data is shared, and you must synchronize when accessing it.

See Also
  - The Java Tutorials: Synchronization.
  - IBM developerWorks: Synchronization is not the enemy.